#include <limits.h>
#include <TopoDS_Shape.hxx>
#include <BRep_Builder.hxx>
#include <BRepAlgoAPI_Cut.hxx>
#include <BRepTools.hxx>
#include <iostream>

int main () {
  TopoDS_Shape a,b,c;
  BRep_Builder bld;
  bool ba,bb;
  ba = BRepTools::Read(a,"a.brep",bld);
  bb = BRepTools::Read(b,"b.brep",bld);
  std::cout << ba << "," << bb << endl;
  BRepAlgoAPI_Cut cut(a,b);
  cut.Build();
  if (!cut.IsDone()) {
    cout << "cut not done" << endl;
  } else {
    c=cut.Shape();
    BRepTools::Write(c,"c.brep");
  }
}